#
# spec file for package esound (Version 0.2.36)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           esound
BuildRequires:  alsa-devel audiofile-devel docbook-toys docbook-utils tcpd-devel
License:        GPL v2 or later
Group:          System/Sound Daemons
AutoReqProv:    on
Summary:        A Sound Daemon for Enlightenment and GNOME
Version:        0.2.36
Release:        19.21.37
Url:            ftp://ftp.gnome.org/pub/gnome/sources/esound/
Source:         ftp://ftp.gnome.org/pub/gnome/sources/esound/0.2/%{name}-%{version}.tar.bz2
Source1:        esound.init
Source2:        sysconfig.esound
Patch:          esd-as.patch
Patch1:         esound-biarch.patch
Patch2:         esound-close-fds.patch
Patch3:         esound-logout-sound-167856.patch
Patch4:         esound-195461-chdir.patch
# PATCH-FIX-UPSTREAM suppress verbose error messages from alsa-lib bnc525056 bnc300031 bgo528718
Patch5:         esound-suppress-alsa-debug.diff
# Suggest -32bit package for proper work of preloader for 32-bit apps.
%if %_lib != lib
%if %suse_version > 1000
Suggests:       esound-32bit
%endif
%endif
%if %suse_version > 800
PreReq:         %insserv_prereq %fillup_prereq
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A multiplexing and caching sound daemon. It can use ALSA or OSS for
sound output. Many projects, including Enlightenment and GNOME, use
esound to play and record their sounds.



Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar  <dave@srce.hr>
    Elliot Lee  <sopwith@redhat.com>
    John Ellis  <johne@bellatlantic.net>
    Kjartan Maraas  <kmaraas@online.no>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal  <rms39@columbia.edu>
    Scott Heavner  <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude  <ericmit@ix.netcom.com>

%package devel
License:        GPL v2 or later
Summary:        EsounD Development Package
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} alsa-devel %(rpm -q --queryformat '%{NAME}' -f %_libdir/pkgconfig/audiofile.pc)

%description devel
EsounD development package.



Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar  <dave@srce.hr>
    Elliot Lee  <sopwith@redhat.com>
    John Ellis  <johne@bellatlantic.net>
    Kjartan Maraas  <kmaraas@online.no>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal  <rms39@columbia.edu>
    Scott Heavner  <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude  <ericmit@ix.netcom.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --sysconfdir=/etc  --libdir=%_libdir \
    --mandir=/usr/share/man \
    --with-libwrap \
    --enable-ipv6
make
find docs -type d -exec chmod 755 {} \;
find docs -type f -exec chmod 644 {} \;

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rmdir $RPM_BUILD_ROOT/usr/share/doc/esound/html
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/esound
chmod +x $RPM_BUILD_ROOT/etc/init.d/esound
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -s ../../etc/init.d/esound $RPM_BUILD_ROOT/usr/sbin/rcesound
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
%run_ldconfig
%{fillup_and_insserv}

%postun
%run_ldconfig
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING.LIB INSTALL NEWS TODO TIPS MAINTAINERS docs/html
%config /etc/esd.conf
%_libdir/lib*.so.*
%{_prefix}/bin/esd
%{_prefix}/bin/esdcat
%{_prefix}/bin/esdctl
%{_prefix}/bin/esddsp
%{_prefix}/bin/esdfilt
%{_prefix}/bin/esdloop
%{_prefix}/bin/esdmon
%{_prefix}/bin/esdplay
%{_prefix}/bin/esdrec
%{_prefix}/bin/esdsample
%{_prefix}/share/man/man1/esdctl.1.gz
%{_prefix}/share/man/man1/esddsp.1.gz
%{_prefix}/share/man/man1/esdfilt.1.gz
%{_prefix}/share/man/man1/esdloop.1.gz
%{_prefix}/share/man/man1/esdmon.1.gz
%{_prefix}/share/man/man1/esdrec.1.gz
%{_prefix}/share/man/man1/esdsample.1.gz
%{_prefix}/share/man/man1/esd.1.gz
%{_prefix}/share/man/man1/esdcat.1.gz
%{_prefix}/share/man/man1/esdplay.1.gz
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/*

%files devel
%defattr(-, root, root)
%{_prefix}/bin/esd-config
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%{_prefix}/share/man/man1/esd-config.1.gz
%_libdir/lib*.*a
%_libdir/lib*.so
%_libdir/pkgconfig/esound.pc

%changelog
* Fri Dec 18 2009 sbrabec@suse.cz
- Suppress verbose error messages from alsa-lib (bnc#525056,
  bnc#300031, bgo#528718).
* Fri Feb  2 2007 danw@suse.de
- Add esound-195461-chdir.patch to chdir out of $HOME so that
  pam_mount will still be able to unmount the homedir if esound
  doesn't exit right away. #195461
* Tue May 23 2006 joeshaw@suse.de
- Add a patch to fix the GNOME logout sound being cut off.
  (bnc #167856)
* Thu Mar  2 2006 danw@suse.de
- close unneeded file descriptors at daemon startup (since it may
  have been spawned from a random app with random things open). #154072
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 sbrabec@suse.cz
- Bi-arch preloader fix of esddsp (#140505).
* Tue Jun 21 2005 sbrabec@suse.cz
- Updated to version 0.2.36.
- Support for tcp_wrappers and IPv6.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Tue Apr 12 2005 ro@suse.de
- added audiofile-devel to neededforbuild
* Thu Jan 27 2005 tiwai@suse.de
- fixed the sound playback with dmix plugin.
* Fri Dec  3 2004 sbrabec@suse.cz
- Fixed sound device blocking, if spawned esd caches samples - use -as
  twice in esd.conf, weaken requirements for -terminate (#45741).
* Fri Oct  1 2004 sbrabec@suse.cz
- Free audio device by default (#46507).
* Tue Aug 24 2004 sbrabec@suse.cz
- Updated to version 0.2.35.
* Wed Mar  3 2004 sbrabec@suse.cz
- Updated to version 0.2.33.
* Fri Jan 16 2004 pth@suse.de
- Fix quoting in esd.m4
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Sep  9 2003 sbrabec@suse.cz
- Updated to version 0.2.32.
* Fri Aug 29 2003 sbrabec@suse.cz
- Check -terminate in persistent daemon mode.
* Wed Aug 13 2003 sbrabec@suse.cz
- Updated to version 0.2.31.
* Mon Aug  4 2003 sbrabec@suse.cz
- Updated to version 0.2.30.
* Thu Jun 12 2003 kukuk@suse.de
- Correct filelist
* Mon Jun  2 2003 sbrabec@suse.cz
- Added init script for network sound server.
* Thu May 15 2003 sbrabec@suse.cz
- Typo fix (NBSP characters).
* Thu May 15 2003 sbrabec@suse.cz
- Require alsa-devel for esound-devel.
* Sun May 11 2003 ro@suse.de
- do full autoreconf (run libtool)
* Mon Feb 24 2003 sbrabec@suse.cz
- Updated esd man page.
* Fri Nov 29 2002 sbrabec@suse.cz
- Added esound ALSA fix (from Takashi Iwai, closes #22163).
* Fri Nov 29 2002 sbrabec@suse.cz
- Use OSS instead of ALSA, until bug #22163 gets solved.
* Thu Oct 24 2002 hhetter@suse.de
- invoke automake with -c to ensure file copying
  (Bug Id #21066)
* Mon Oct 14 2002 sbrabec@suse.cz
- Update to version 0.2.29. Removed esd-alsa-dev.dif - similar fix is now
  part of code.
- Added manual pages to %%files.
* Fri Sep 20 2002 tiwai@suse.de
- added alsa-devel to neededforbuild.
- fixed alsa output to reflect the change via -d option.
* Tue Sep 17 2002 sbrabec@suse.cz
- Added alsa to neededforbuild. Esound now uses ALSA.
* Mon Aug 26 2002 nadvornik@suse.cz
- fixed permissions of doc files
* Thu Jun 20 2002 jordi@suse.de
- updated to version 0.2.28
* Mon Jun 17 2002 ro@suse.de
- call automake with "-a -f"
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 0.2.27
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 0.2.26
* Fri May 31 2002 adrian@suse.de
- fix build for ppc64
* Fri Apr 26 2002 coolo@suse.de
- %%_libdir support
* Wed Jan  9 2002 hhetter@suse.de
- updated to version 0.2.23
  * pkgconfig file for GNOME 2.0 compatibility
- adapted ia64 include file fix
* Fri May 25 2001 nadvornik@suse.cz
- fixed include files for ia64
* Mon Dec 25 2000 egger@suse.de
- Cleaned up specfile.
- Changed group of development package.
- Recompressed sources with bzip2.
* Sat Dec  9 2000 egger@suse.de
- Updated to version 0.2.22.
* Mon Nov  6 2000 tiwai@suse.de
- Split esound-devel package.
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 hhetter@suse.de
- added security patch
* Wed Sep  6 2000 egger@suse.de
- Updated to version 0.2.19.
* Fri Sep  1 2000 tiwai@suse.de
- fixed the bug of 0.2.18 (playing too short without synchronized).
* Fri May 26 2000 ke@suse.de
- update to version 0.2.18.
- add html docs.
* Thu May 11 2000 ke@suse.de
- Improve files list to catch missing shared libs (don't trust wildcards
  too much; you'll never know).
* Fri Apr  7 2000 bk@suse.de
- added suse update config macro
* Thu Mar 30 2000 cihlar@suse.cz
- update to version 2.17
- clean up spec file
* Tue Dec 14 1999 ro@suse.de
- fixed install (broke with BuildRoot)
* Fri Nov  5 1999 ke@suse.de
- Update to version 0.2.16 (security fixes and more).
- Use BuildRoot.
- Use RPM_OPT_FLAGS (instead of RPM_OPT_FLAG ...)
- Correct Copyright.
- Add "Group:" entry.
* Mon Oct 25 1999 kukuk@suse.de
- Update to version 0.2.15
* Fri Sep 17 1999 kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May  4 1999 mb@suse.de
- updated to new version 0.2.8
* Fri Feb 19 1999 mb@suse.de
- fixed lib problems
* Tue Feb 16 1999 mb@suse.de
- new version 0.2.7 needed for enlightenment, gnome and emusic
* Sat Jul 18 1998 mb@suse.de
- first inital version 0.2 of the esound (Enlightenment sound daemon)
